import 'package:flutter/material.dart';
import 'package:f0ckapp/view/home.dart';
import 'package:f0ckapp/view/item.dart';

/*void main() {
  runApp(MaterialApp(
    theme: ThemeData(
      scaffoldBackgroundColor: const Color.fromARGB(255, 23, 23, 23)
    ),
    home: const Home()
  ));
}*/

void main() async {
  runApp(
    MaterialApp(
      debugShowCheckedModeBanner: false,
      initialRoute: '/',
      theme: ThemeData(
        scaffoldBackgroundColor: const Color.fromARGB(255, 23, 23, 23)
      ),
      routes: {
        '/': (context) => const Home(),
        '/detail': (context) => const ItemPage(id: 0),
      }
    ),
  );
}
